--- ./src/dock.c.vns	2005-05-18 16:29:46 +0400
+++ ./src/dock.c	2005-05-18 16:31:23 +0400
@@ -1293,8 +1293,9 @@
 
     tx = CLIP_BUTTON_SIZE*ICON_SIZE/64;
 
-    WMDrawString(scr->wmscreen, win, color, scr->clip_title_font, tx,
-                 ty, ws_name, length);
+    if(wPreferences.show_clip_title)
+        WMDrawString(scr->wmscreen, win, color, scr->clip_title_font, tx,
+        	     ty, ws_name, length);
     /*WMDrawString(scr->wmscreen, win, color, scr->clip_title_font, 4,
      2, ws_name, length);*/
 
--- WindowMaker-0.91.0/src/defaults.c.vns	2005-05-18 16:29:46 +0400
+++ WindowMaker-0.91.0/src/defaults.c	2005-05-18 16:29:46 +0400
@@ -608,6 +608,9 @@
     {"ClipTitleFont",	DEF_CLIP_TITLE_FONT,	NULL,
     NULL,				getFont,	setClipTitleFont
     },
+    {"ShowClipTitle",	"YES",			NULL,
+    &wPreferences.show_clip_title,	getBool,	NULL
+    },
     {"LargeDisplayFont",DEF_WORKSPACE_NAME_FONT, NULL,
     NULL,				getFont,	setLargeDisplayFont
     },
--- WindowMaker-0.91.0/src/WindowMaker.h.02	2008-06-06 19:39:25.000000000 +0200
+++ WindowMaker-0.91.0/src/WindowMaker.h	2008-06-06 19:40:33.000000000 +0200
@@ -469,6 +469,8 @@
     int edge_resistance;
     char attract;
 
+    int show_clip_title;
+
     unsigned int workspace_border_size; /* Size in pixels of the workspace border */
     char workspace_border_position;     /* Where to leave a workspace border */
 
